! ======================================================================
! Longitud del vector (a,b)

! Datos: a, b
! ======================================================================

PROGRAM raizsqrt
IMPLICIT NONE

DOUBLE PRECISION a, b, xf90, xblas, dnrm2
INTEGER, PARAMETER:: nsal=11

OPEN (nsal,FILE='SQRT.sal')

a = -3.d0
b = 4.d0
xf90 = SQRT(a**2+b**2)
xblas = dnrm2 (2, [a,b], 1)
WRITE (nsal,'(A,G25.16)') 'a = ', a, 'b = ', b
WRITE (nsal,'(A,G25.16)') 'longitud-F90  = ', xf90
WRITE (nsal,'(A,G25.16)') 'longitud-BLAS = ', xblas

a = -3.d300
b = 4.d300
xf90 = SQRT(a**2+b**2)
xblas = dnrm2 (2, [a,b], 1)
WRITE (nsal,'(/(A,G25.16))') 'a = ', a, 'b = ', b
WRITE (nsal,'(A,G25.16)') 'longitud-F90  = ', xf90
WRITE (nsal,'(A,G25.16)') 'longitud-BLAS = ', xblas

!PRINT*, (a**2 + b**2)**0.5d0

ENDPROGRAM raizsqrt

